var APIBase = require("../../api.base");
var system = require("../../../system");
var settings = require("../../../../config/settings");
class ConfigAPI extends APIBase {
    constructor() {
        super();
        this.metaS = system.getObject("service.common.metaSve");
    }
    //返回
    async fetchAppConfig(pobj, qobj, req) {
        var cfg = await this.metaS.getUiConfig(settings.appKey, null, 100);
        if (cfg) {
            return system.getResultSuccess(cfg);
        }
        return system.getResultFail();
    }
    exam(){
        return "xxx";
    }
    classDesc() {
        return {
            groupName: "meta",
            groupDesc: "元数据服务包",
            name: "ConfigAPI",
            desc: "关于系统元数据或配置的类",
            exam: "",
        };
    }
    methodDescs() {
        return [
            {
                methodDesc: "生成访问token",
                methodName: "getAccessKey",
                paramdescs: [
                    {
                        paramDesc: "访问appkey",
                        paramName: "appkey",
                        paramType: "string",
                        defaultValue: "x",
                    },
                    {
                        paramDesc: "访问secret",
                        paramName: "secret",
                        paramType: "string",
                        defaultValue: null,
                    }
                ],
                rtnTypeDesc: "xxxx",
                rtnType: "xxx"
            }
        ];
    }
}
module.exports = ConfigAPI;